﻿@model RegisterViewModel

@{
    ViewData["Title"] = "Registro de usuario";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card">
    <div class="card-body">
        <h3 class="card-title text-center">Registro de Usuarios</h3>
        <form asp-controller="Cuentas" asp-action="RegistroAdministrador" asp-route-returnurl="@ViewData["ReturnUrl"]" method="POST">
            <div class="text-danger" asp-validation-summary="All"></div>

            <div class="row mt-4">
                <div class="col-md-6">

                    <div class="mb-3">
                        <label asp-for="Nombre" class="col-md-2"></label>
                        <input asp-for="Nombre" class="form-control" placeholder="Ingresa tu nombre" />
                        <span asp-validation-for="Nombre" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="Email" class="col-md-2"></label>
                        <input asp-for="Email" class="form-control" placeholder="Ingresa tu Email" />
                        <span asp-validation-for="Email" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="Url" class="col-md-2"></label>
                        <input asp-for="Url" class="form-control" placeholder="Ingresa tu Url" />
                        <span asp-validation-for="Url" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="CodigoPais" class="col-md-2"></label>
                        <input asp-for="CodigoPais" class="form-control" placeholder="Ingresa el código de tu país" />
                        <span asp-validation-for="CodigoPais" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="Telefono" class="col-md-2"></label>
                        <input asp-for="Telefono" class="form-control" placeholder="Ingresa tu teléfono" />
                        <span asp-validation-for="Telefono" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="Pais" class="col-md-2"></label>
                        <input asp-for="Pais" class="form-control" placeholder="Ingresa tu país" />
                        <span asp-validation-for="Pais" class="text-danger"></span>
                    </div>

                </div>

                <div class="col-md-6">

                    <div class="mb-3">
                        <label asp-for="Ciudad" class="col-md-2"></label>
                        <input asp-for="Ciudad" class="form-control" placeholder="Ingresa tu ciudad" />
                        <span asp-validation-for="Ciudad" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="Direccion" class="col-md-2"></label>
                        <input asp-for="Direccion" class="form-control" placeholder="Ingresa tu dirección" />
                        <span asp-validation-for="Direccion" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="FechaNacimiento" class="col-md-4"></label>
                        <input type="text" name="FechaNacimiento" class="form-control" id="datepicker" placeholder="Ejemplo: 1990-10-05" />
                        <span asp-validation-for="FechaNacimiento" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="Password" class="col-md-4"></label>
                        <input asp-for="Password" class="form-control" placeholder="Ingresa tu contraseña" />
                        <span asp-validation-for="Password" class="text-danger"></span>
                    </div>

                    <div class="mb-3">
                        <label asp-for="ConfirmPassword" class="col-md-4"></label>
                        <input asp-for="ConfirmPassword" class="form-control" placeholder="Ingresa la confirmación de la contraseña" />
                        <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                    </div>

                    <!-- Seleccion de rol: -->
                    <div class="mb-3">
                        <label asp-for="RolSeleccionado" class="col-md-4"></label>
                        <select asp-for="RolSeleccionado" asp-items="@Model.ListaRoles" class="form-control">
                            <option disabled selected>--Seleccionar rol</option>
                        </select>
                    </div>

                </div>
            </div>
            <div class="row">
                <div class="col-sm-10 offset-2">
                    <button type="submit" class="btn btn-success w-75 btn-lg">Registrarse</button>
                </div>
            </div>
        </form>
    </div>
</div>



@*<h1>Registro de usuario</h1>
<form asp-controller="Cuentas" asp-action="Registro" method="POST" role="form">
    <div class="text-danger" asp-validation-summary="All"></div>

    <div class="form-group">
        <label asp-for="Nombre" class="col-md-2"></label>
        <div class="col-md-10">
            <input asp-for="Nombre" class="form-control" />
            <span asp-validation-for="Nombre" class="text-danger"></span>
        </div>
    </div>

    <div class="form-group">
        <label asp-for="Email" class="col-md-2"></label>
        <div class="col-md-10">
            <input asp-for="Email" class="form-control" />
            <span asp-validation-for="Email" class="text-danger"></span>
        </div>
    </div>

    <div class="form-group">
        <label asp-for="Url" class="col-md-2"></label>
        <div class="col-md-10">
            <input asp-for="Url" class="form-control" />
            <span asp-validation-for="Url" class="text-danger"></span>
        </div>
    </div>

    <div class="form-group">
        <label asp-for="CodigoPais" class="col-md-2"></label>
        <div class="col-md-10">
            <input asp-for="CodigoPais" class="form-control" />
            <span asp-validation-for="CodigoPais" class="text-danger"></span>
        </div>
    </div>

    <div class="form-group">
        <label asp-for="Telefono" class="col-md-2"></label>
        <div class="col-md-10">
            <input asp-for="Telefono" class="form-control" />
            <span asp-validation-for="Telefono" class="text-danger"></span>
        </div>
    </div>

    <div class="form-group">
        <label asp-for="Ciudad" class="col-md-2"></label>
        <div class="col-md-10">
            <input asp-for="Ciudad" class="form-control" />
            <span asp-validation-for="Ciudad" class="text-danger"></span>
        </div>
    </div>

    <div class="form-group">
        <label asp-for="Direccion" class="col-md-2"></label>
        <div class="col-md-10">
            <input asp-for="Direccion" class="form-control" />
            <span asp-validation-for="Direccion" class="text-danger"></span>
        </div>
    </div>

    <div class="form-group">
        <label asp-for="FechaNacimiento" class="col-md-2"></label>
        <div class="col-md-10">
            <input asp-for="FechaNacimiento" class="form-control" />
            <span asp-validation-for="FechaNacimiento" class="text-danger"></span>
        </div>
    </div>

    <div class="form-group">
        <label asp-for="Password" class="col-md-2"></label>
        <div class="col-md-10">
            <input asp-for="Password" class="form-control" />
            <span asp-validation-for="Password" class="text-danger"></span>
        </div>
    </div>

    <div class="form-group">
        <label asp-for="ConfirmPassword" class="col-md-2"></label>
        <div class="col-md-10">
            <input asp-for="ConfirmPassword" class="form-control" />
            <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
        </div>
    </div>

    <div class="form-group">
        <div class="col-md-10">
            <button type="submit" class="btn btn-success">Registrarse</button>
        </div>
    </div>
</form>*@

@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
}
